using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Threading;

namespace WpfApplication1
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            DataContext = new MyDataContext();
            
        }
    }

    public class MyDataContext
    {
        ObservableCollection<MyObject> _Data;
        public ObservableCollection<MyObject> Data
        {
            get
            {
                if (_Data == null)
                {
                    _Data = new ObservableCollection<MyObject>();
                    var timer = new DispatcherTimer();
                    timer.Interval = TimeSpan.FromMilliseconds(1000);
                    timer.Tick += (s, e) => 
                    {
                        var worker = new BackgroundWorker();
                        worker.RunWorkerCompleted += (s1, e1) => 
                        {
                            _Data.Add(new MyObject());
                        };
                        worker.RunWorkerAsync();
                    };
                    timer.Start();
                }

                return _Data;
            }
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
